<div class="play-list-body">
  <ul class="play-list-table-header">
    <li (click)="changeSort('name')">Nombre ❤</li>
    <li (click)="changeSort('album')">álbum 🆗</li>
    <li>fecha incorporación 🍌😁</li>
    <li><i class="uil uil-clock-eight"></i></li>
  </ul>
  <ul class="play-list-rows" *ngFor="let track of tracks | orderList: sortOption">
    <li class="track-name">
      <ng-container *ngTemplateOutlet="coverSection; context: { keyTrack: track }"></ng-container> <!-- con context pasamos data del ng-container al template {key: value} -->
    </li>
    <li class="track-name-opacity">
      {{ track.album }}
    </li>
    <li class="track-name-opacity">
      {{ track.album }}
    </li>
    <li class="track-name-opacity">
      {{ track.duration.start }} - {{ track.duration.end }}
    </li>
  </ul>
</div>

<!--template del cover-->
<ng-template #coverSection let-track="keyTrack"> <!-- declaramos una variable con let- llamada "track" y el valor sera el valor de la key pasada en el ng-container -->
  <div class="cover-section">
    <img appImgBroken [customImg]="'../../assets/images/img-broken.png'" 
      class="cover-track" [src]="track.cover" [alt]="track.name" />
    <div class="cover-info">
      <div class="name-track">{{ track.name }}</div>
      <div class="name-track-details">{{ track.artist.name }}</div>
    </div>
  </div>
</ng-template>